body {
	background-color: #c0c0c0;
	display: grid;
	grid-template-columns: 1fr 3fr 1fr;
}

header {
	grid-column: 1 / span 3;
}

main {
	background-color: #ffffff;
	margin: 0 25px;
	border-radius: 5px;
	padding: 25px 50px;
}

footer {
	grid-column: 1 / span 3;
	display: grid;
	grid-template-columns: 1fr 1fr;
	color: #000000;
	margin: 10px;
}
	footer > h1 {
		text-align: center;
		grid-column: 1 / span 2;
	}
	footer > p {
		margin: 5px;
		text-align: right;
	}

aside {
}
	aside > embed {
		width: 100%;
	}
	aside > img {
		width: 100%;
	}

article {
	display: none;
}

section {
	display: grid;
}

nav {
	padding: 10px 0;
}

summary {
    list-style-type: none;
}

h1 {
	margin: 10px 0;
}

h2 {
	margin: 10px 0;
}

h3 {
	margin: 10px 0;
}

h4 {
	margin: 10px 0;
}

h5 {
	margin: 10px 0;
}

p {
	margin: 5px 0;
}

a {
	text-decoration: none;
	color: #000000;
}
	a:has(#mainpagelogo) {
		height: 75vh;
		vertical-align: middle;
		display: flex;
	}

ul {
	padding: 0;
	margin: 0;
}

li {
	list-style-type: none;
}

embed {
	width: 100%;
}

table {
	width: 100%;
	border-collapse: collapse;
	margin: 0 0 10px 0;
	table-layout: fixed;
}

tr:first-child {
	border-top: 1px solid #000000;
}

tr:last-child {
	border-bottom: 1px solid #000000;
}

td {
	width: 50%;
}

span {
	display: flex;
	align-items: center;
	justify-content: end;
}

.double {
	grid-template-columns: 1fr 1fr;
}

.triple {
	grid-template-columns: 1fr 1fr 1fr;
}
	.triple embed {
		width: 100%;
		height: 500px;
	}

.normaltext {
	font-size: 12pt;
	margin: 0;
}

.author {
	color: #ffffff;
	background-color: #3f3f3f;
	border-radius: 5px;
	justify-content: space-evenly;
}

.credit {
	font-weight: bold;
	text-align: left;
}

.visible {
	display: block;
}

.account {
	grid-template-columns: 8fr 50px 50px;
	margin: 5px 0;
}
	.account details {
		grid-column: 1 / 4;
	}

.accountlogo {
	height: 100px;
	grid-column: 2 / 4;
	grid-row: 1 / 2;
}

.accountlink {
	margin: auto;
}

.fediverseicon {
	height: 25px;
}

.portfolioitem {
	background-color: #ffffff;
	top: 0;
	left: 0;
	position: absolute;
	z-index: 1;
	padding: 5vh 25vw;
	display: none;
}

.popup {
	display: block;
}

.date {
	color: #3f3f3f;
}

#navigationside {
	background-color: #ffffff;
	border-radius: 0 10px 10px 0;
	font-weight: bold;
	position: sticky;
	top: 5px;
	height: 95vh;
}
	#navigationside div {
		margin: 10px;
	}
	#navigationside p {
		margin: 25px 25px 25px 0;
		font-size: 20pt;
		white-space: nowrap;
		display: inline;
	}
	#navigationside img {
		height: 25px;
		margin: 0 25px;
	}

#mainpagelogo {
	width: 25vw;
	margin: auto;
}

#headerlogo {
	display: block;
	height: 10vh;
	margin: auto;
}

#portfoliolist {
	grid-template-columns: auto 75px 125px;
}

@media not all and (orientation: landscape) {
	body {
		grid-template-columns: 1fr 8fr;
	}

	main {
		margin: 0 5px;
		padding: 25px 10px;
	}

	.double {
		grid-template-columns: 1fr;
	}

	.triple {
		grid-template-columns: 1fr;
	}

	#navigationside {
		border-radius: 0 10px 0 0;
	}
		#navigationside p {
			display: none;
		}
		#navigationside img {
			margin: 0 auto;
		}

	#sidebar {
		display: none;
	}
}